From: Yan Lei <yan_lei@dahuatech.com>
Date: Tues, 22 Mar 2022 11:35:47 +0800
Subject: [PATCH openEuler-22.03-LTS v3] media: v4l2: fix uninitialized value tuner_status

dahua inclusion
category: bugfix
bugzilla: https://gitee.com/openeuler/kernel/issues/I4YYAE
CVE: NA

-------------------------------------------------
Declaring variable "tuner_status" without initializer.
Using uninitialized value "tuner_status" when calling "*fe_tuner_ops->get_status". 
(The function pointer resolves to "cx24113_get_status".)


Signed-off-by: Yan Lei <yan_lei@dahuatech.com>
---
 drivers/media/v4l2-core/tuner-core.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
 mode change 100644 => 100755 drivers/media/v4l2-core/tuner-core.c

diff --git a/drivers/media/v4l2-core/tuner-core.c b/drivers/media/v4l2-core/tuner-core.c
index 12d1e0c..15bcde4
--- a/drivers/media/v4l2-core/tuner-core.c
+++ b/drivers/media/v4l2-core/tuner-core.c
@@ -1118,7 +1118,7 @@ static void tuner_status(struct dvb_frontend *fe)
 	if (t->mode != V4L2_TUNER_RADIO)
 		return;
 	if (fe_tuner_ops->get_status) {
-		u32 tuner_status;
+		u32 tuner_status = 0;
 
 		fe_tuner_ops->get_status(&t->fe, &tuner_status);
 		if (tuner_status & TUNER_STATUS_LOCKED)
@@ -1258,7 +1258,7 @@ static int tuner_g_tuner(struct v4l2_subdev *sd, struct v4l2_tuner *vt)
 	if (vt->type == t->mode) {
 		vt->rxsubchans = V4L2_TUNER_SUB_MONO | V4L2_TUNER_SUB_STEREO;
 		if (fe_tuner_ops->get_status) {
-			u32 tuner_status;
+			u32 tuner_status = 0;
 
 			fe_tuner_ops->get_status(&t->fe, &tuner_status);
 			vt->rxsubchans =
-- 
2.20.1

